apiVersion: v1
kind: Secret
metadata:
  annotations:
    managed-by: argocd.argoproj.io
  labels:
    argocd.argoproj.io/secret-type: repository
  name: repo-testit
  namespace: argocd
type: Opaque
stringData:
  name: "https://github.com/billyshambrook/argocd-applicationset-progressive-example.git"
  url: "https://github.com/billyshambrook/argocd-applicationset-progressive-example.git"
  project: "*"
  type: "git"
---
apiVersion: argoproj.io/v1alpha1
kind: ApplicationSet
metadata:
  name: things
spec:
  generators:
    - list:
        elements:
          - name: thing-a
          - name: thing-b
          - name: thing-c
  strategy:
    type: RollingSync
    rollingSync:
      steps:
        - matchExpressions:
            - key: name
              operator: In
              values:
                - thing-a
        - matchExpressions:
            - key: name
              operator: In
              values:
                - thing-b
        - matchExpressions:
            - key: name
              operator: In
              values:
                - thing-c
  template:
    metadata:
      name: "{{name}}"
      labels:
        name: "{{name}}"
    spec:
      project: default
      spec:
        syncPolicy:
          automated: {}
      source:
        path: chart
        repoURL: https://github.com/billyshambrook/argocd-applicationset-progressive-example.git
        helm:
          releaseName: "{{name}}"
      destination:
        name: in-cluster
        namespace: default
